Форум программистов
 
Контакты: о проблемах с регистрацией, почтой и по другим вопросам пишите сюда - alarforum@yandex.ru, проверяйте папку спам! Обязательно пройдите активизацию e-mail.

Вернуться   Форум программистов > C++ > Qt и кроссплатформенное программирование С/С++
Регистрация

Восстановить пароль
Повторная активизация e-mail


Донат для форума - использовать для поднятия настроения себе и модераторам

А ещё здесь можно купить рекламу за 25 тыс руб в месяц! ) пишите сюда - alarforum@yandex.ru

Ответ
 
Опции темы
Старый 22.05.2019, 21:52   #1
wanna
Новичок
 
Регистрация: 22.05.2019
Сообщений: 1
Репутация: 10
По умолчанию Проблема с отладкой приложения под android.

Я новичок. Пока пытался настроить Qt, решил кучу проблем, но вот с этой я не могу справиться... Не понимаю смысла в этих строчках, и, собственно, как исправить:

Код:
20:19:51: Запускается: «C:\Qt\Qt5.12.0\5.12.0\android_armv7\bin\androiddeployqt.exe» --input E:/QNote_on_android/build-QNote-Android_armeabi_v7a_Clang_Qt_5_12_0_for_Android_ARMv7-Debug/android-libQNote.so-deployment-settings.json --output E:/QNote_on_android/build-QNote-Android_armeabi_v7a_Clang_Qt_5_12_0_for_Android_ARMv7-Debug/android-build --android-platform android-24 --jdk "C:/Program Files/Java/jdk1.8.0_211" --gradle
Generating Android Package
  Input file: E:/QNote_on_android/build-QNote-Android_armeabi_v7a_Clang_Qt_5_12_0_for_Android_ARMv7-Debug/android-libQNote.so-deployment-settings.json
  Output directory: E:/QNote_on_android/build-QNote-Android_armeabi_v7a_Clang_Qt_5_12_0_for_Android_ARMv7-Debug/android-build/
  Application binary: E:/QNote_on_android/build-QNote-Android_armeabi_v7a_Clang_Qt_5_12_0_for_Android_ARMv7-Debug/libQNote.so
  Android build platform: android-24
  Install to device: No
  -- Skipping C:/Qt/Qt5.12.0/5.12.0/android_armv7/plugins/iconengines/libqsvgicon.so. It has unmet dependencies: lib/libQt5Svg.so.
  -- Skipping C:/Qt/Qt5.12.0/5.12.0/android_armv7/plugins/imageformats/libqsvg.so. It has unmet dependencies: lib/libQt5Svg.so.
Observed package id 'build-tools;29.0.0-rc3' in inconsistent location 'C:\Android\SDK\build-tools\29.0.0-preview' (Expected 'C:\Android\SDK\build-tools\29.0.0-rc3')
Observed package id 'build-tools;29.0.0-rc3' in inconsistent location 'C:\Android\SDK\build-tools\29.0.0-preview' (Expected 'C:\Android\SDK\build-tools\29.0.0-rc3')
Checking the license for package Android SDK Build-Tools 28.0.2 in C:\Android\SDK\licenses
Warning: License for package Android SDK Build-Tools 28.0.2 not accepted.
Project evaluation failed including an error in afterEvaluate {}. Run with --stacktrace for details of the afterEvaluate {} error.

FAILURE: Build failed with an exception.

* Where:
Build file 'E:\QNote_on_android\build-QNote-Android_armeabi_v7a_Clang_Qt_5_12_0_for_Android_ARMv7-Debug\android-build\build.gradle' line: 39

* What went wrong:
A problem occurred evaluating root project 'android-build'.
> Invalid revision: 29.0.0-preview

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 1m 21s
Building the android package failed!
  -- For more information, run this command with --verbose.
20:21:18: Процесс «C:\Qt\Qt5.12.0\5.12.0\android_armv7\bin\androiddeployqt.exe» завершился с кодом 14.
Ошибка при сборке/установке проекта QNote (комплект: Android для armeabi-v7a (Clang Qt 5.12.0 for Android ARMv7))
Во время выполнения этапа «Сборка Android APK»
Вот код build.gradle:

Код:
buildscript {
    repositories {
        google()
        jcenter()
    }

    dependencies {
        classpath 'com.android.tools.build:gradle:3.2.0'
    }
}

repositories {
    google()
    jcenter()
}

apply plugin: 'com.android.application'

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
}

android {
    /*******************************************************
     * The following variables:
     * - androidBuildToolsVersion,
     * - androidCompileSdkVersion
     * - qt5AndroidDir - holds the path to qt android files
     *                   needed to build any Qt application
     *                   on Android.
     *
     * are defined in gradle.properties file. This file is
     * updated by QtCreator and androiddeployqt tools.
     * Changing them manually might break the compilation!
     *******************************************************/

    compileSdkVersion androidCompileSdkVersion.toInteger()

    buildToolsVersion androidBuildToolsVersion

    sourceSets {
        main {
            manifest.srcFile 'AndroidManifest.xml'
            java.srcDirs = [qt5AndroidDir + '/src', 'src', 'java']
            aidl.srcDirs = [qt5AndroidDir + '/src', 'src', 'aidl']
            res.srcDirs = [qt5AndroidDir + '/res', 'res']
            resources.srcDirs = ['src']
            renderscript.srcDirs = ['src']
            assets.srcDirs = ['assets']
            jniLibs.srcDirs = ['libs']
       }
    }

    lintOptions {
        abortOnError false
    }
}
Я так понимаю, что у меня проблема с версиями инструментов, но что делать не понимаю всё равно. Прошу помощи!!

Последний раз редактировалось wanna; 22.05.2019 в 21:54.
wanna вне форума   Ответить с цитированием
Ответ

Опции темы

Ваши права в разделе
Вы не можете создавать новые темы
Вы не можете отвечать в темах
Вы не можете прикреплять вложения
Вы не можете редактировать свои сообщения

BB коды Вкл.
Смайлы Вкл.
[IMG] код Вкл.
HTML код Выкл.

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Проблема с отладкой OmegaBerkut Общие вопросы по программированию, компьютерным наукам 7 23.03.2018 21:54
VS C++6.0 + Windows 7 (64), проблема с отладкой ezus Visual C++ 4 24.02.2016 18:05
Проблема с отладкой pinkiller Assembler 0 24.04.2012 22:54
проблема с отладкой staaas1k Общие вопросы C/C++ 4 05.05.2010 16:36


03:53.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.